HomeDocumentationAPI Endpoints
Log In
API Endpoints

Mobile - OTP Verification Journey

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The businesses can use this API to get the mobile number verified for their users.

STEP 1

The businesses need to invoke the API with a mobile number to get the OTP.
The step for the step 1 needs to be INIT_MOBILE_OTP.

Journey Input Data

{
      "mobile_number": "XXXXXXXXXX",
      "step": "INIT_MOBILE_OTP"
    }

Journey Output Data

{
    "status": "SUCCESS",
    "message": "Success",
    "status_code": "success",
    "transaction_id": "c29d6a8f-14a6-4489-91da-77ed53152d77",
    "journey_transaction_id": "EQ.GT.de538f8e-23ea-447a-b757-391482addb40#mobile_otp_pidg_v1#a03c63b060f84b818d584db745efbcc7",
    "journey_id": "mobile_otp_pidg_v1",
    "data": {}
}

The OTP message would have the following format

📘

676038 is the OTP to access your Equal Account. This OTP is confidential and is valid for 10 min. Powered by Equal.

STEP 2

The businesses need to invoke the API with a mobile number and OTP sent to the mobile number.
The step for the step 2 needs to be VERIFY_MOBILE_OTP.

Journey Input Data

{
      "mobile_number": "XXXXXXXXXX",
      "mobile_otp": "697395",
      "step": "VERIFY_MOBILE_OTP"
    }

Journey Output Data

{
    "status": "SUCCESS",
    "message": "Success",
    "status_code": "success",
    "transaction_id": "c29d6a8f-14a6-4489-91da-77ed53152d77",
    "journey_transaction_id": "EQ.GT.de538f8e-23ea-447a-b757-391482addb40#mobile_otp_pidg_v1#263d650fa1f84efdae642fad9ba7e7af",
    "journey_id": "mobile_otp_pidg_v1",
    "data": {}
}
📘

These journeys do not include any pre-configured Ownership or Fraud Checks. To add these checks, please contact your Account Manager.

Status Codes

ScenarioHttp Status Codestatusstatus_codemessage
When request is successful and OTP is verified.200SUCCESSsuccessRequest successful
When mobile number provided is not valid200FAILUREinvalid_mobile_nomobile_no is Invalid
Invalid Client Credentials401FAILUREinvalid_credentialsInvalid Client Credentials
Any unhandled error from Equal end500FAILUREinternal_server_errorSomething went wrong, please try again.
Too many requests429No object will be sent, throttling happens at the gateway level.
Service Unavailable503

Status (Journey Status)

Possible ValuesDescription
SUCCESSShows that the verification process was completed successfully.
FAILUREIndicates that the verification process did not succeed.
IN_PROGRESSSignifies that the verification process is currently underway and has not yet been completed.

Decision

Possible ValuesDescription
CLEARIndicates that the verification has been completed and the information is confirmed as accurate and legitimate.
MUST REVIEWSignifies that further review is needed due to potential issues or inconsistencies in the verification results.
NEEDS REVIEWSuggests that the verification has identified areas that require further investigation or clarification before a final determination can be made.
📘

Journey ID will be shared as part of Onboarding

KeyDescription
statusThe current status of the transaction (e.g., SUCCESS, IN_PROGRESS).
messageA message providing additional information about the status (e.g., "Success").
status_codeThe code representing the status of the transaction (e.g., "success").
transaction_idA unique identifier for the transaction.
journey_transaction_idA unique identifier for the journey transaction, which includes information about the journey and its version.
journey_idThe unique identifier of the journey associated with the transaction.
stepAn optional field that could represent the step in the transaction process.
Body Params
string
required

The exchange transaction ID is generated by invoking the Initialise Exchange Transaction API. This identifier groups various Verification Journey requests into a single transaction, enabling the sharing and accessing of data across different verification processes. This facilitates checks such as matching the Aadhaar name with the PAN name, comparing the Aadhaar photo with a live image, and more.

string
required
Defaults to mobile_otp_pidg_v1

A journey ID stores all the configuration details that are applied as part of the verification process. This ID is provided by Equal and is unique for each verification journey.

input_data
object
required

The dynamic journey input data object structure varies depending on the journey_id and the configurations set for the specific journey. For example, Mobile OTP verification journeys will have input parameters like Mobile Number.

string

You can pass a request ID to uniquely identify each attempt of the verification journey separately on your end.

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json